
Katello - Bug #23687

RH Subscriptions: add subscriptions details page

05/24/2018 01:49 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: John Mitsch   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/743
Description

Add a subscriptions details page based on the old angular page with the following changes (quoted from Rox):

We might want to add the new fields for Entitlements

Also change - "Virt-Who Usage Required" to "Requires Virt-Who" to match the table label

Screenshot of existing page follows:

 fdkvmkS.png 

Associated revisions

Revision 0fc33e91 - 06/12/2018 12:49 AM - John Mitsch

Fixes #23687 - Adds subscription details page

This rewrites the subscription details page in React. Links in the

main subs table will used this page. There will be a follow-up change

for the Product Content tab.

History

#1 - 06/07/2018 01:46 PM - The Foreman Bot

- Assignee set to John Mitsch

- Pull request https://github.com/Katello/katello/pull/7432 added

#2 - 06/11/2018 02:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 06/12/2018 01:01 AM - John Mitsch

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|0fc33e916f65d36948f0de8f55a0442a6f407604.

#4 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)
